package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class TeacherInfoDto implements Serializable{
	private static final long serialVersionUID = 1L;

	private String name;//老师名称
	private String birthday;//生日
	private String photo;//老师图片(图片路径)
	private int sex;//性别
	private String mobile;//手机号
	private String courseName;//授课科目
	private String grade;//授课年级
	private String qrcode; //老师二维码
	private Integer schoolAge; //教龄
	List<Map<String, Object>> personalLabel = new ArrayList<Map<String,Object>>();
    private String personalInfo; //个人简介
	private String teachPoint;//教学特点
	private String successfulCase;//成功案例
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getBirthday() {
		return birthday;
	}
	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}
	public String getPhoto() {
		return photo;
	}
	public void setPhoto(String photo) {
		this.photo = photo;
	}
	public int getSex() {
		return sex;
	}
	public void setSex(int sex) {
		this.sex = sex;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getQrcode() {
		return qrcode;
	}
	public void setQrcode(String qrcode) {
		this.qrcode = qrcode;
	}
	public Integer getSchoolAge() {
		return schoolAge;
	}
	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}
	
	public List<Map<String, Object>> getPersonalLabel() {
		return personalLabel;
	}
	public void setPersonalLabel(List<Map<String, Object>> personalLabel) {
		this.personalLabel = personalLabel;
	}
	public String getPersonalInfo() {
		return personalInfo;
	}
	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}
	public String getTeachPoint() {
		return teachPoint;
	}
	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}
	public String getSuccessfulCase() {
		return successfulCase;
	}
	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}
	
	
}
